<script lang="ts">
  import type { Choice } from "$lib/domains/RPS.type";
	import ChoiceInput from "./ChoiceInput.svelte";

  export let computerChoice: Choice = null;

  const choiceList: Choice[] = ['rock', 'paper', 'scissors'];
</script>

<div class="container">
  {#each choiceList as choice}
    <ChoiceInput group={computerChoice} value={choice} playerType="computer" disabled={true}/>
  {/each}
</div>

<style>
  .container {
    pointer-events: none;
    display: flex;
    justify-content: space-between;
    gap: 8px;
  }
</style>